- Qt 6.7
- Qt GRPC
- C++ Classes
- QtGrpc (Technical Preview)
- QGrpcServerStream
- Qt 6.7.2 Reference Documentation

# QGrpcServerStream Class

The QGrpcServerStream class provides the interface to access the server-side gRPC stream functionality from gRPC client side. More...

Header: | #include <QGrpcServerStream>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Grpc) target_link_libraries(mytarget PRIVATE Qt6::Grpc)
Since: | Qt 6.7
Inherits: | QGrpcOperation
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcServerStream() override

## Signals

void | messageReceived()

## Detailed Description

The QGrpcServerStream object is owned by the client object that created it.

## Member Function Documentation

### `[override virtual noexcept]` QGrpcServerStream::~QGrpcServerStream()

Destroys the QGrpcServerStream object.

### `[signal]` void QGrpcServerStream::messageReceived()

The signal is emitted when the stream receives an updated value from server.